List all subscribers
Requires STATUS_PAGES:READ; EDIT also grants READ. Session cookies are accepted only when no bearer credential is supplied.
Security: Bearer Auth
Provide your bearer token in the Authorization header when making requests to protected resources.
Example: Authorization: Bearer 123
Header parameters
Path parameters
Query parameters
Responses
| Status | Meaning | Description |
|---|---|---|
| 200 | OK | Returns a list of subscribers for a status page |
| 400 | Bad Request | Invalid request |
| 401 | Unauthorized | Unauthenticated |
| 403 | Forbidden | Unauthorized - status page not in user's organisation |
| 404 | Not Found | Resource not found, unavailable, or rejected by the domain operation |
| 500 | Internal Server Error | Internal Server Error |
Response Schema
Request
curl --request GET \
--url https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}' \
--header 'X-OnlineOrNot-Organisation: string'
Response
{
"result": [
{
"id": "a1b2c3d4e5f6",
"email_address": "user@example.com",
"confirmed": false,
"component_subscription_mode": "ALL_COMPONENTS",
"component_ids": ["a1b2c3d4"],
"created_at": "2021-01-01T00:00:00.000Z"
}
],
"result_info": {
"page": 1,
"per_page": 20,
"count": 1,
"total_count": 1
},
"success": true,
"errors": [],
"messages": []
}
Create a subscriber
Requires STATUS_PAGES:EDIT; EDIT also grants READ. Session cookies are accepted only when no bearer credential is supplied.
Security: Bearer Auth
Provide your bearer token in the Authorization header when making requests to protected resources.
Example: Authorization: Bearer 123
Header parameters
Path parameters
Body parameters
Responses
| Status | Meaning | Description |
|---|---|---|
| 201 | Created | Returns the newly created subscriber |
| 400 | Bad Request | Invalid email address |
| 401 | Unauthorized | Unauthenticated |
| 403 | Forbidden | Unauthorized - status page not in user's organisation |
| 409 | Conflict | Email already subscribed or has pending invitation |
| 500 | Internal Server Error | Internal Server Error |
Response Schema
Request
curl --request POST \
--url https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}' \
--header 'Content-Type: application/json' \
--header 'X-OnlineOrNot-Organisation: string' \
--data '{"email_address":"user@example.com","component_subscription_mode":"ALL_COMPONENTS","component_ids":["a1b2c3d4"]}'
Response
{
"result": {
"id": "a1b2c3d4e5f6",
"email_address": "user@example.com",
"confirmed": false,
"component_subscription_mode": "ALL_COMPONENTS",
"component_ids": ["a1b2c3d4"],
"created_at": "2021-01-01T00:00:00.000Z"
},
"success": true,
"errors": [],
"messages": []
}
Delete a subscriber
Requires STATUS_PAGES:EDIT; EDIT also grants READ. Session cookies are accepted only when no bearer credential is supplied.
Security: Bearer Auth
Provide your bearer token in the Authorization header when making requests to protected resources.
Example: Authorization: Bearer 123
Header parameters
Path parameters
Responses
| Status | Meaning | Description |
|---|---|---|
| 200 | OK | Returns the deleted subscriber's ID |
| 400 | Bad Request | Invalid request |
| 401 | Unauthorized | Unauthenticated |
| 403 | Forbidden | Unauthorized |
| 404 | Not Found | Subscriber not found |
| 500 | Internal Server Error | Internal Server Error |
Response Schema
Request
curl --request DELETE \
--url https://api.onlineornot.com/v1/status_pages/a1b2c3d4/subscribers/a1b2c3d4e5f6 \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}' \
--header 'X-OnlineOrNot-Organisation: string'
Response
{
"result": {
"id": "a1b2c3d4e5f6"
},
"success": true,
"errors": [],
"messages": []
}